Bug 528582 - rpm install overwrites sysconfig settings
Summary: rpm install overwrites sysconfig settings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: at
Version: 11
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-12 23:57 UTC by JW
Modified: 2009-11-04 12:13 UTC (History)
1 user (show)

Fixed In Version: 3.1.10-32.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-04 12:13:58 UTC


Attachments (Terms of Use)

Description JW 2009-10-12 23:57:36 UTC
Description of problem:
When upgrading the rpm overwrites existing customized settings in /etc/sysconfig/atd

Version-Release number of selected component (if applicable):
at-3.1.10-30.fc11

How reproducible:
Always

Steps to Reproduce:
1. vi /etc/sysconfig/atd and change something
2. rpm -Fvh at-3.1.10-30.fc11.i568.rpm
  
Actual results:
rpm installs new file at /etc/sysconfig/atd without saving anything

Expected results:
rpm should create /etc/sysconfig/atd.rpmnew or similar

Additional info:
Perhaps "%config(noreplace) %{_sysconfdir}/sysconfig/atd" in at.spec might help.

Comment 1 Fedora Update System 2009-10-13 13:51:03 UTC
at-3.1.10-39.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/at-3.1.10-39.fc12

Comment 2 Fedora Update System 2009-10-13 14:06:00 UTC
at-3.1.10-32.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/at-3.1.10-32.fc11

Comment 3 Fedora Update System 2009-10-15 22:33:57 UTC
at-3.1.10-32.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update at'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10517

Comment 4 Fedora Update System 2009-11-04 12:13:53 UTC
at-3.1.10-32.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.